.c-select {
  position: relative;
  display: inline-flex;
  width: 100%;
  
  @include sm {
    width: auto;
  }

  &__select {
    cursor: pointer;
    font-family: $font-global;
    // A reset of styles, including removing the default dropdown arrow
    appearance: none;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
    padding: 2rem 6rem 2rem 2rem;
    border: 0.1rem solid $blue;
    border-radius: 9rem;
    color: $blue;
    text-transform: uppercase;
    overflow: hidden;
    text-overflow: ellipsis;
    font-size: 1.4rem;
    transition: all 0.2s ease-in-out;

    &:focus {
      outline: 0.1rem solid $cyan;
      border: 0.1rem solid $cyan;
      color: $cyan;

      ~ .c-select__icon {
        border: 0.1rem solid $cyan;
        color: $cyan;
      }
    }

    @include sm {
      width: 20rem;
    }

    @include lg {
      width: 22rem;
    }
  }

  &__icon {
    position: absolute;
    top: 50%;
    right: 1rem;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 4rem;
    height: 4rem;
    color: $blue;
    border: 0.1rem solid $blue;
    border-radius: 50%;
    transform: translateY(-50%) rotate(90deg);
    pointer-events: none;
    transition: all 0.2s ease-in-out;

  }
}